Bug 211728 - Review Request: stklos - Scheme Interpreter/Compiler System
Review Request: stklos - Scheme Interpreter/Compiler System
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 08:16 EDT by Gérard Milmeister
Modified: 2008-01-19 18:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 18:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Amended spec file (3.53 KB, application/x-extension-spec)
2007-01-21 05:38 EST, Paul F. Johnson
no flags Details

  None (edit)
Description Gérard Milmeister 2006-10-21 08:16:17 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/stklos.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/stklos-0.72-2.src.rpm
Description: 
STklos is a fast Scheme bytecode interpreter trying to conform to
R5RS.  It is the successor of STk (a Scheme interpreter able to access
the Tk toolkit).

NB:
I don't think it is worth the effort the separate the header files from the main package.
Comment 1 Paul F. Johnson 2006-10-21 08:31:28 EDT
I'm getting a 404 for the src.rpm

Also, it doesn't matter is you don't consider the effort as being worthwhile, if
it's supposed to be in a devel package, it goes in a devel package.

There are a couple of exceptions to this (such as if the application provides
templates [such as with anjuta]), but files need to be in their correct packages.
Comment 2 Gérard Milmeister 2006-10-21 08:45:18 EDT
I get no error, download seems to work correctly...

The header files are needed to compile native extensions. The stklos-config is
also related to this and normally belongs to the -devel package. However
stklos-config is needed by main package as well, so it must go to the main
package. However stklos-config -c generates the command "gcc -fpic
-I/usr/include/stklos" which obviously is not of much use without the header
files. Therefore I think it is better to leave the header files in the main
package. After all this is a programming system.
Comment 3 Paul F. Johnson 2006-10-21 10:29:06 EDT
Blip at this end, file is okay!

Okay, I can't get it to build as it stands as I get cannot find
-lgnomecanvaspixbuf, so you'll need to include that in your BRs
Comment 4 Gérard Milmeister 2006-10-21 10:54:46 EDT
(In reply to comment #3)
> Okay, I can't get it to build as it stands as I get cannot find
> -lgnomecanvaspixbuf, so you'll need to include that in your BRs
/usr/lib/libgnomecanvaspixbuf.so is provided by gdk-pixbuf-devel which is
already in the BR. Do you compile on devel? I downloaded the rpm for devel and
checked that it contains the file, which it does. Maybe there is problem with
mock setup?
Comment 5 Gérard Milmeister 2006-10-21 11:00:23 EDT
(In reply to comment #4)
> /usr/lib/libgnomecanvaspixbuf.so is provided by gdk-pixbuf-devel which is
> already in the BR. Do you compile on devel? I downloaded the rpm for devel and
> checked that it contains the file, which it does.
I was mistaken. It was not the devel version I downloaded, but the FC5 version.
The devel version is apparently incomplete since it does NOT contain
/usr/lib/libgnomecanvaspixbuf.so. I will investigate.
Comment 6 Gérard Milmeister 2006-10-21 11:15:15 EDT
I disabled gnome1 support for now:
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/stklos-0.72-3.src.rpm
Comment 7 Paul F. Johnson 2006-11-02 17:20:59 EST
rpmlint warnings

SRPM : clean
RPM : you have multiple files in the main rpm which should be in the -devel package
DEBUGINFO : clean

You need to create a -devel package for this package.
Comment 8 Paul F. Johnson 2006-11-25 16:53:46 EST
ping! Anything happening on this?
Comment 9 Gérard Milmeister 2006-11-25 18:10:59 EST
There is a new release:
http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/stklos-0.80-1.fc6.src.rpm

However, I think we disagree about packaging the .h files. I don't want to
separate them from the main package, since this would break installing
extensions that need to be compiled. If we don't come to an agreement, we
probably have to discuss this on the fedora-extras list.
Comment 10 Paul F. Johnson 2006-11-25 18:31:04 EST
Clean in mock and rpmlint

as for the .h file. They need to be in a devel file. If another package needs
them to build, drag in the devel package and not the main one.

Feel free to discuss it on the extras list, but I have a feeling it's probably
not worth it for adding in the devel package.
Comment 11 Ralf Corsepius 2006-11-26 01:18:12 EST
(In reply to comment #10)
> Clean in mock and rpmlint
Not clean outside of mock:
# rpmbuild -ba stklos.spec
...
gcc -shared -o gtklos.so gtk-glue.o gtk-canvas.o gtk-cont.o gtk-editable.o
gtk-image.o gtk-label.o gtk-misc.o gtk-list.o gtk-signal.o gtk-event.o gtk-menu.o \
        -rdynamic -L/usr/lib -lgdk_pixbuf -lgtk -lgdk -lgmodule -lglib -ldl -lXi
-lXext -lX11 -lm -lgnomecanvaspixbuf
/usr/bin/ld: cannot find -lgnomecanvaspixbuf

> as for the .h file. They need to be in a devel file. If another package needs
> them to build, drag in the devel package and not the main one.
> 
> Feel free to discuss it on the extras list, but I have a feeling it's probably
> not worth it for adding in the devel package.
Moving them into a *-devel package is a MUST.
Comment 12 Paul F. Johnson 2006-11-26 04:32:21 EST
It came up completely clean on my buildsys under mock and rpmlint. However, as
there is a sticking point over the need for a devel package, that can get sorted
when the subpackage appears.
Comment 13 Ralf Corsepius 2006-11-27 01:25:43 EST
(In reply to comment #12)
> It came up completely clean on my buildsys under mock and rpmlint.
Note what I wrote: "Not clean outside of mock:"

I.e. 
* this package doesn't rebuild in a normal user-environment
* this package doesn't produce deterministic builds.

Probably a missing BuildRequires/BuildConflicts and/or missing --enable/disable
something somewhere.

MUSTFIX.
Comment 14 Michel Alexandre Salim 2006-11-28 17:22:57 EST
Is the upstream developer planning to support GTK2 soon? This looks really
interesting.
Comment 15 Gérard Milmeister 2006-11-29 15:31:29 EST
(In reply to comment #14)
> Is the upstream developer planning to support GTK2 soon? This looks really
> interesting.
It seems that the author considers it, but apparently is low priority.
Comment 16 Michel Alexandre Salim 2006-11-29 16:37:00 EST
The build scripts are not 64-bit clean - on my 64-bit machine it was using
/usr/lib instead of /usr/lib64, despite the --libdir flag passed in %configure.

Some build-script patching might be required.
Comment 17 Gérard Milmeister 2006-11-30 05:13:27 EST
This should fix the 64-bit libdir:
http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/stklos-0.81-1.fc6.src.rpm
Comment 18 Dominik 'Rathann' Mierzejewski 2006-11-30 06:33:16 EST
Redundant BuildRequires: gtk+-devel (required by gdk-pixbuf-devel).
Is it really worth to enable ldap support? extensions/README says:
** ldap

This is a proof of concept module. Don't take it as a finished
extension. This is a module that I have written because I need to
hack a rather large LDAP base in our school. It does what I need and
very little more. If you want to improve it to make something more
useful, I would be glad to add your contribution.

Builds fine out of mock.
Comment 19 Michel Alexandre Salim 2006-12-13 01:03:46 EST
gdk-pixbuf-devel in FC6 extras no longer depends on gtk+-devel, so the BR is not
redundant.

What's the decision regarding -devel? IMHO it'll be nice to just make stklos
Provides: stklos-devel for now. Especially if third-party modules can be
compiled against the headers.
Comment 20 Gérard Milmeister 2007-01-13 13:47:59 EST
Here is the new version, with "Provides: stklos-devel":
http://math.ifi.unizh.ch/fedora/6/i386/SRPMS.gemi/stklos-0.82-1.src.rpm
Comment 21 Paul F. Johnson 2007-01-21 05:38:42 EST
Created attachment 146082 [details]
Amended spec file
Comment 22 Paul F. Johnson 2007-01-21 05:40:23 EST
You MUST have the devel file for this package. Using the spec from #21, rpmlint
is clean and it builds fine inside of mock
Comment 23 Gérard Milmeister 2007-01-28 08:59:54 EST
Your spec file doesn't work since some executables in the main package depend on
stklos-config. That is one reason why I am opposed to the split.
Comment 24 Paul F. Johnson 2007-01-28 09:26:36 EST
You still need to split the package
Comment 25 Michel Alexandre Salim 2007-11-17 00:58:06 EST
Hello! Is this review still progressing?
Comment 26 Michel Alexandre Salim 2007-11-17 01:18:10 EST
Build of 0.96 in koji for Fedora 8 fails at the end with a build ID issue:

make[2]: Leaving directory `/builddir/build/BUILD/stklos-0.96'
make[1]: Leaving directory `/builddir/build/BUILD/stklos-0.96'
+ rm -fr
'/var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/share/stklos/%{_version}/demos'
+ find /var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/share/stklos -name '*.ostk'
+ xargs chmod 0755
+ find examples doc -name 'Makefile*'
+ xargs rm -f
+ rm -f /var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/share/info/dir
+ /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/stklos-0.96
extracting debug info from
/var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/lib64/stklos/0.96/gtklos.so
extracting debug info from
/var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/lib64/stklos/0.96/ldap.so
*** ERROR: No build ID note found in
/var/tmp/stklos-0.96-1.fc8-root-kojibuilder/usr/lib64/stklos/0.96/ldap.so
error: Bad exit status from /var/tmp/rpm-tmp.52535 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.52535 (%install)
Comment 27 Jason Tibbitts 2008-01-19 18:18:32 EST
It's been another two months since the previous ping and very nearly a year
since the last comment from the submitter.  Closing.

Note You need to log in before you can comment on or make changes to this bug.